version: "3.9"

services:
  app:
    image: xoderockson/xgame-astrochibbi-contract-integration-api:latest
    container_name: xgame-astrochibbi-contract-integration-api
    env_file:
      - .env
    ports:
      - 3003:3003

  copy-astrochibbi-contract-integration-env:
    image: xoderockson/xgame-astrochibbi-contract-integration-api:latest
    container_name: copy-astrochibbi-contract-integration-env
    volumes:
      - /var/www/xgame-apis/xgame-astrochibbi-contract-integration-api/.env:/temp/.env
    command: sh -c "cp /temp/.env /app/.env && exit"
